Anonymous Login
2019-06-24 20:55 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000642v2.3 Release (Closed)[All Projects] Generalpublic2011-03-24 09:49
Reporterpaul_rogers6 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version2.3 
Summary0000642: Reminders - multiple emails sent to one assignee
DescriptionWhere a task's owner is also an assignee the user in question receives two emails with the same reminder.
Additional InformationThis is because the code in the modules/tasks/tasks.class.php/remind() function is not correctly identifying if an assignee is also the owner. Line 2126 (v2.1.0) should be changed from:

$contacts = $q->loadHashList('c.contact_id');

to:

$contacts = $q->loadHashList('contact_id');

The amended file is attached (NB: Also contains updates for 0635).
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0001363

paul_rogers6 (reporter)

NB: The statement:

The amended file is attached (NB: Also contains updates for 0635).

should read

The amended file is attached (NB: Also contains updates for 0623).

ie Updates also included for issue 623 NOT 635

Sorry

P

~0001368

paul_rogers6 (reporter)

Last edited: 2010-11-25 04:10

Have discovered another problem. As is remind function doesn't list owner as assignee if necessary. To fix this amend line 2177 (v2.1.0) from:

if ($owner_is_not_assignee || $contact['contact_id'] != $owner_contact) {

to:

if (!$owner_is_not_assignee || ($owner_is_not_assignee && $contact['contact_id'] != $owner_contact)) {

Have uploaded amended file modules/tasks/tasks.class.php (with changes for 0000623)

NB: Uploaded as tasks.class.php.latest to avoid duplicate file error

~0001750

caseydk (administrator)

Resolved in r1765

~0001765

caseydk (administrator)

Closed in preparation for v2.3 release.
+Notes

-Issue History
Date Modified Username Field Change
2010-11-25 00:52 paul_rogers6 New Issue
2010-11-25 00:52 paul_rogers6 File Added: tasks.class.php
2010-11-25 01:08 paul_rogers6 Note Added: 0001363
2010-11-25 04:05 paul_rogers6 Note Added: 0001368
2010-11-25 04:10 paul_rogers6 Note Edited: 0001368
2010-11-25 04:11 paul_rogers6 File Added: tasks.class.php.latest
2010-12-03 10:33 caseydk Project v2.0 Release (Closed) => v2.2 Release (Closed)
2010-12-15 21:54 caseydk Project v2.2 Release (Closed) => v2.3 Release (Closed)
2011-03-22 23:51 caseydk Note Added: 0001750
2011-03-22 23:51 caseydk Status new => resolved
2011-03-22 23:51 caseydk Resolution open => fixed
2011-03-22 23:51 caseydk Assigned To => caseydk
2011-03-24 09:49 caseydk Note Added: 0001765
2011-03-24 09:49 caseydk Status resolved => closed
2011-03-24 09:49 caseydk Fixed in Version => 2.3
+Issue History